<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreatePagosCentrosCostos extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('pagos_centros_costos')
			->addColumn('pago_id', 'integer', ['length' => 11, 'null' => false, 'signed' => false])
			->addColumn('centro_costo_id', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addForeignKey('pago_id', 'pago', 'id', ['delete' => 'cascade', 'update' => 'cascade'])
			->addForeignKey('centro_costo_id', 'centros_costos', 'id', ['delete' => 'cascade', 'update' => 'cascade'])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
